// Copyright 2023 schukai GmbH
// SPDX-License-Identifier: AGPL-3.0

package jobqueue

import (
	"testing"

	"context"
)

func TestRunnableCounter(t *testing.T) {

	runner := &CounterRunnable{}

	ctx := context.Background()

	r, err := runner.Run(ctx)
	if err != nil {
		t.Errorf("Unexpected error: %v", err)
	}

	if r.Status != ResultStatusSuccess {
		t.Errorf("Unexpected result status: %v", r.Status)
	}

	if r.Data.Count != 1 {
		t.Errorf("Unexpected result data: %v", r.Data)
	}

}
