// Copyright 2023 schukai GmbH
// SPDX-License-Identifier: AGPL-3.0

package jobqueue

// safeClose closes the given channel and returns an error if the channel is already closed
func safeClose(ch chan interface{}) (err error) {
	defer func() {
		if recover() != nil {
			err = ErrChannelAlreadyClosed
		}
	}()

	err = nil

	close(ch)
	return
}
